Subject: [Ltru] Last Call: 'Matching of Language Tags' to BCP (draft-ietf-ltru-matching)

From: The IESG <[email-masked]>
Date: Tue, 06 Jun 2006 10:52:12 -0400

Note:  there was a previous last call request sent for a status of Proposed
Standard; this document is, however, intended for BCP.

The IESG has received a request from the Language Tag Registry Update WG to 
consider the following document:

- 'Matching of Language Tags '
   <draft-ietf-ltru-matching-14.txt> as a BCP

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-20.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-ltru-matching-14.txt

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Larry Masinter <[email-masked]>
Date: Tue, 06 Jun 2006 10:15:33 -0700

This made more sense to me as "proposed standard" than
it does as BCP. It seems to describe a syntax and method
which can be implemented and referenced by standards
track documents.

Could you explain the reasoning for why it is being considered
as BCP rather than Proposed Standard?

It would seem better to make this a "Proposed Standard".

Consider, rather than just making an informative reference
to [RFC2616errata], normatively updating [RFC2616].
It would help confirm the update of 2616 without
recycling at "Proposed".

Larry

> -----Original Message-----
> From: The IESG [mailto:[email-masked]] 
> Sent: Tuesday, June 06, 2006 7:52 AM
> To: IETF-Announce
> Cc: [email-masked]
> Subject: Last Call: 'Matching of Language Tags' to BCP 
> (draft-ietf-ltru-matching) 
>

---

From: Martin Duerst <[email-masked]>
Date: Wed, 07 Jun 2006 21:16:10 +0900

Hello Larry,

I have entered your two issues at
http://www.sw.it.aoyama.ac.jp/2006/IETF/ltru/.

>It would seem better to make this a "Proposed Standard".

The overall reasoning I think is that draft-ietf-ltru-registry-14.txt
(often called RFC 3066bis) and draft-ietf-ltru-matching-14.txt
together replace RFC 3066, which is/was a BCP. Also, the matching
methods described actually can't just be taken and used directly.
At a minimum, the syntax for a language range (e.g. whether commas
or semicolons or whatever is used as delimiters, and so on) has
to be defined.

The WG (as well as to some extent the IESG) has discussed this
issue already quite a few times. There were good arguments on
both sides, but we had ultimately to decide on something.

>It would help confirm the update of 2616 without

This is, as far as I know, a totally new idea. Would this
depend on the document moving to Proposed Standard? Is this
general practice? [Just thinking aloud: in the limit, any
RFC might update any other RFC in this fashion, and we might
get into a situation like in the US congress, where totally
unrelated stuff may be added to a bill.]
In our WG, I think we don't really have the expertise to judge
whether this would be a good thing. I wouldn't want to
suddenly get complaints from the HTTP community. But if
this helps the HTTP folks, and doesn't cost us anything,
it might work. But for the "doesn't cost us anything",
we'd need more precise wording/editing instructions.

Regards,     Martin.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: Sam Hartman <[email-masked]>
Date: Wed, 07 Jun 2006 11:24:02 -0400

>>>>> "Martin" == Martin Duerst <[email-masked]> writes:

    Martin> The WG (as well as to some extent the IESG) has discussed
    Martin> this issue already quite a few times. There were good
    Martin> arguments on both sides, but we had ultimately to decide
    Martin> on something.

I think the IESG has only discussed whether the registry draft should
be a bcp.  I don't think any discussion I was involved in applied to
the matching draft.

---

From: "Addison Phillips" <[email-masked]>
Date: Wed, 7 Jun 2006 08:35:09 -0700

Actually, it did. In particular, RFC 3066bis (draft-ietf-ltru-registry-14)
is blocked from publication as BCP 47 because draft-matching makes up "the
other portion" of it. I (among others) produced arguments to the IESG that
draft-matching should be on the STD track, but were told that, for
historical reasons (i.e. it obsoletes two paragraphs of RFC 3066), it should
remain part of BCP 47.

I believe (and co-chair Martin can confirm) that the LTRU WG actually had a
consensus recommending STD track for matching. I'll have to rootle around in
the archives to find the involved messages.

Addison

Addison Phillips
Internationalization Architect - Yahoo! Inc.

Internationalization is an architecture.
It is not a feature.  

> From: Sam Hartman [mailto:[email-masked]] 
> Sent: 2006?6?7? 8:24
> To: Martin Duerst
> Cc: [email-masked]; Larry Masinter; [email-masked]
> Subject: Re: [Ltru] RE: Last Call: 'Matching of Language 
> Tags' toBCP(draft-ietf-ltru-matching)
>

---

From: Larry Masinter <[email-masked]>
Date: Wed, 07 Jun 2006 15:06:30 -0700

I now understand why the document is Last Called as BCP,
and accept the explanation. I suggest you mark
the "two issues" as being resolved. Formally linking
with the HTTP spec would not be "at no cost". 
(What was I thinking?)

Larry

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 7 Jun 2006 21:30:10 -0600

I got a private message about the document:

...

Hi Mark,

The document is in very good form. I only could catch one editorial nit:
There is no legend "Figure 1", though there are figures 2, 3 and 4.

...

Mark

---

From: "Addison Phillips" <[email-masked]>
Date: Thu, 8 Jun 2006 07:15:13 -0700

FWIW, Figure 1 is the Basic Language Range ABNF in Section 2.1. It is not labelled with a title, hence the figure number doesn't appear.
 
Addison

Addison Phillips

  _____  

From: Mark Davis [mailto:[email-masked]] 
Sent: 2006年6月7日 20:30
To: Larry Masinter
Cc: [email-masked]; [email-masked]
Subject: Re: [Ltru] RE: Last Call: 'Matching of Language Tags' toBCP(draft-ietf-ltru-matching)

... 

Hi Mark,

...

Mark

Larry

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru  <https://www1.ietf.org/mailman/listinfo/ltru>

---

From: Martin Duerst <[email-masked]>
Date: Fri, 09 Jun 2006 06:40:36 +0900

Hello Addison,

As a co-chair:

Are you proposing to leave things as they are, or just
explaining why they are the way they are?

As a technical participant:

I propose to remove the titles and "Figure" labels for what
is currently Figure 2-4. None of these really look like
figures, one is a single ABNF rule, and two are numbered
lists. If it says "Figure", I'd expect some ASCII-art
diagram or some such. (We can still use the <figure>
element in the XML.)

Regards,    Martin.

At 23:15 06/06/08, Addison Phillips wrote:
>----------
>Sent: 2006$Bj;%((B6$Bk|/kw!&(B 20:30
>To: Larry Masinter
>On 6/7/06, Larry Masinter <<mailto:[email-masked]>[email-masked]> wrote: 
>> <http://www.sw.it.aoyama.ac.jp/2006/IETF/ltru/>http://www.sw.it.aoyama.ac.jp/2006/IETF/ltru/.
>>
><mailto:[email-masked]>[email-masked]

---

From: "Addison Phillips" <[email-masked]>
Date: Thu, 8 Jun 2006 14:56:38 -0700

> explaining why they are the way they are?

Just explaining the 'why'. It's an editorial change to add or remove figure
titles and I don't much think it matters which way we go. It's not like the
titles are vital for anything.

> diagram or some such. (We can still use the <figure>

+1

Addison Phillips

---

From: Martin Duerst <[email-masked]>
Date: Tue, 13 Jun 2006 13:50:21 +0900

I have seen Addison agreeing, and nobody else disagreeing, to my
proposal to remove all three currently existing Figure titles to
eliminate the numbering problem that was pointed out in IETF
Last Call.

Unless we hear otherwise from our AD (Ted), I'd like to instruct
the editors to proceed with this change.

Regards,    Martin.

---

From: "Addison Phillips" <[email-masked]>
Date: Tue, 13 Jun 2006 12:59:41 +0100

I can't proceed with the change until we are done with the Last Call, can I?
When we produce draft-15 (incorporating all comments, which so far are
editorial in nature), then I'll happily do this.

Question: should we expect a GenART review?

Addison

Addison Phillips

> From: Martin Duerst [mailto:[email-masked]] 
> Sent: 2006?6?13? 5:50
> To: Addison Phillips; 'Mark Davis'; Ted Hardie
> Cc: [email-masked]
> Subject: RE: [Ltru] RE: Last Call: 'Matching of Language 
> Tags'toBCP(draft-ietf-ltru-matching)
>